### Method

# Gimp ColorTransform process_buffer

since: 2.10

#### Declaration [src]

    void
    gimp_color_transform_process_buffer (
      GimpColorTransform* transform,
      GeglBuffer* src_buffer,
      const GeglRectangle* src_rect,
      GeglBuffer* dest_buffer,
      const GeglRectangle* dest_rect
    )

#### Description [src]

This function transforms buffer into another buffer.

See gimp_color_transform_new(): only the pixel encoding of `src_buffer`‘s and `dest_buffer`‘s formats honored, their color spaces are ignored. The transform always takes place between the color spaces determined by `transform`‘s color profiles.

Available since: 2.10

#### Parameters

`src_buffer`

  Type: `GeglBuffer`

  Source `GeglBuffer`.

  The data is owned by the caller of the method.

`src_rect`

  Type: `GeglRectangle`

  Rectangle in `src_buffer`.

  The data is owned by the caller of the method.

`dest_buffer`

  Type: `GeglBuffer`

  Destination `GeglBuffer`.

  The data is owned by the caller of the method.

`dest_rect`

  Type: `GeglRectangle`

  Rectangle in `dest_buffer`.

  The data is owned by the caller of the method.